#!/usr/bin/env python
# (c) Zygmunt Krynicki 2005, 2006, 2007
# Licensed under GPL, see COPYING for the whole text

import deb_package
from alternatives import get_alternatives

class UnsupportedPackageKind(Exception):
    pass

def load(pathname):
    if pathname.endswith(".deb"):
        return deb_package.load(pathname)
    else:
        raise UnsupportedPackageKind("The package '%s' is of unsupported type" % pathname)
